=== debian/control ===
Source: unionfs
Section: misc
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>= 4.0.0), bzip2, uuid-dev
Standards-Version: 3.6.2.1

Package: unionfs-utils
Architecture: any
Recommends: unionfs-source
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: stackable unification file system - management tools
 The unionfs driver provides a unification file system for the Linux
 kernel. It allows to virtually merge the contents of several
 directories and/or stack them, so that apparent file changes in the
 unionfs end in file changes in only one of the source directories.
 .
 This package contains utilities needed to configure unionfs containers
 on-the-fly.

Package: unionfs-source
Architecture: all
Depends: module-assistant, bzip2, debhelper (>> 4.0.0)
Suggests: unionfs-utils
Description: source for the unionfs driver
 The unionfs driver provides a unification file system for the Linux
 kernel. It allows to virtually merge the contents of several
 directories and/or stack them, so that apparent file changes in the
 unionfs end in file changes in only one of the source directories.
 .
 This package contains the module source. The kernel driver can be built from
 it using module-assistant or make-kpkg.

Source: unionfs
Section: misc
Priority: optional
Maintainer: Alex de Landgraaf <alex@delandgraaf.com>
Build-Depends: debhelper (>> 4.1.0), bzip2
Standards-Version: 3.6.1

Package: unionfs-modules-2.6.9
Architecture: i386
Depends: unionfs-utils
Recommends: kernel-image-2.6.9
Provides: unionfs-modules
Description: Unionfs linux kernel module
 This package contains the unionfs loadable kernel modules for the
 kernel-image-2.6.9 package.
 .
 If you compiled a custom kernel, you will most likely need to compile a
 custom version of this module as well. The unionfs-source
 package has been provided for this purpose.
